Bug 66412 - indexing password protected sites gives authorization error
indexing password protected sites gives authorization error
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: htdig (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-10 00:59 EDT by Erik Ch. Ohrnberger
Modified: 2015-03-04 20:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-10 00:59:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erik Ch. Ohrnberger 2002-06-10 00:59:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Q312461)

Description of problem:
When using htdig to index a password protected site, correct -u <user 
id>:<password> is given on the command line, however apache reports an 
authentication error.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create an apache password protected directory using basic authentication
2. Create an htdig.conf file that names that URL for indexing
3. run htdig -s -i -vvv -u <used id>:<password>

Both htdig and apache report an authentication error when the web pages should 
be acessible.
	

Actual Results:  155:188:0:http://server.echohome.org/docs/XFree86-doc-
4.1.0/XDMCP/?S=D: Trying local files
  tried local file /usr/share/doc/XFree86-doc-4.1.0/XDMCP/?S=D
Local retrieval failed, trying HTTP
 not authorized

Apache logs:
[Mon Jun 10 00:52:02 2002] [error] [client 192.168.2.254] user zB8B$ not 
found: /docs/XFree86-doc-4.1.0/XDMCP/

Expected Results:  htdig should be authorized, access teh web page, and index 
it.  Apache should not report an authroization error.

Additional info:
Comment 1 Phil Knirsch 2002-06-18 09:33:39 EDT
Fixed in latest rawhide package (htdig-3.2.0-3.20020505).

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.